org.apache.commons.net.tftp

## Class TFTPWriteRequestPacket

- java.lang.Object
- - org.apache.commons.net.tftp.TFTPPacket
  - - org.apache.commons.net.tftp.TFTPRequestPacket
    - - org.apache.commons.net.tftp.TFTPWriteRequestPacket

-     public final class TFTPWriteRequestPacket
      extends TFTPRequestPacket

  A class derived from TFTPRequestPacket definiing a TFTP write request packet type.

  Details regarding the TFTP protocol and the format of TFTP packets can be found in RFC 783. But the point of these classes is to keep you from having to worry about the internals. Additionally, only very few people should have to care about any of the TFTPPacket classes or derived classes. Almost all users should only be concerned with the `TFTPClient` class `receiveFile()` and `sendFile()` methods.

  See Also:
    `TFTPPacket`, `TFTPRequestPacket`, `TFTPPacketException`, `TFTP`

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.net.tftp.TFTPPacket

      `ACKNOWLEDGEMENT, DATA, ERROR, READ_REQUEST, SEGMENT_SIZE, WRITE_REQUEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFTPWriteRequestPacket(InetAddress destination, int port, String fileName, int mode)` Creates a write request packet to be sent to a host at a given port with a file name and transfer mode request.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` For debugging

    - ### Methods inherited from class org.apache.commons.net.tftp.TFTPRequestPacket

      `getFilename, getMode, newDatagram`

    - ### Methods inherited from class org.apache.commons.net.tftp.TFTPPacket

      `getAddress, getPort, getType, newTFTPPacket, setAddress, setPort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TFTPWriteRequestPacket

          public TFTPWriteRequestPacket(InetAddress destination,
                                        int port,
                                        String fileName,
                                        int mode)

      Creates a write request packet to be sent to a host at a given port with a file name and transfer mode request.
      Parameters:
        `destination` - The host to which the packet is going to be sent.
        `port` - The port to which the packet is going to be sent.
        `fileName` - The requested file name.
        `mode` - The requested transfer mode. This should be on of the TFTP class MODE constants (e.g., TFTP.NETASCII_MODE).

  - ### Method Detail

    - #### toString

          public String toString()

      For debugging
      Overrides:
        `toString` in class `TFTPPacket`
      Since:
        3.6

Copyright © 2001–2021 The Apache Software Foundation. All rights reserved.